import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./link-wrapper.stories";

<Meta of={ComponentStories} name="Docs" />

# Link Wrapper

Use the `ux-iws-link-wrapper` component to wrap an HTML element that contains a link in it.
Upon a click on the `ux-iws-link-wrapper` component the `location.href` of the `window` object will be
set equal to the `href` attribute of the first `<a>` element wrapped by the `ux-iws-link-wrapper` component. <br />

For elements inside the `ux-iws-link-wrapper` that should not trigger the location change according to `href` attribute
of the fist `<a>` element, set the `ux-iws-link-wrapper-ignore` attribute on them. <br />

For SPA & Reactive apps, where changing the `window.location.href` is not the normal behaviour, pass an `onElementClick` prop to the
component and this will be called upon clicking on the component, passing the event as an argument to the function.

The `ux-iws-link-wrapper` component can not be used with a `<ux-button>` component. Use `<a class="ux-button">` instead.

<Canvas of={ComponentStories.Default}></Canvas>

## Developer Documentation

<Controls />
